Commit 7160291a authored by Mihkel Putrinš's avatar Mihkel Putrinš

Make it require-able for node-js

parent 3da51865
......@@ -4,7 +4,7 @@ var querystring = require('querystring')
var fs = require('fs')
function EntuLib(entu_user_id, entu_user_key, entu_url) {
var EntuLib = function EntuLib(entu_user_id, entu_user_key, entu_url) {
var POLICY_EXPIRATION_MINUTES = 15
var API_VERSION = '/api2/'
......@@ -121,6 +121,9 @@ function EntuLib(entu_user_id, entu_user_key, entu_url) {
}
}
module.exports = EntuLib
// Sample usage
var print_result = function print_result(data) {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment